package net.educoder.ecsonar.model.api;

import java.math.BigDecimal;

/**
 * @Author: youys
 * @Date: 2022/1/17
 * @Description: 质量分析展示列表
 */
public class QualityInspectResultData {

    /**
     * 导师
     */
    private String mentor;
    /**
     * 学号
     */
    private String studentId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 是否识别 true可识别，false,不识别
     */
    private boolean discern;


    /**
     * 缺陷
     */
    private Quality bug;
    /**
     * 漏洞
     */
    private Quality vulnerability;
    /**
     * 代码规范
     */
    private Quality codeSmall;

    /**
     * 复杂度
     */
    private String complexity;

    /**
     * 总行数
     */
    private Integer totalRowNumber;

    /**
     * 质量得分
     */
    private BigDecimal qualityScore;

    /**
     * 任务详情id
     */
    private String taskDetailId;

    public String getMentor() {
        return mentor;
    }

    public void setMentor(String mentor) {
        this.mentor = mentor;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isDiscern() {
        return discern;
    }

    public void setDiscern(boolean discern) {
        this.discern = discern;
    }

    public Quality getBug() {
        return bug;
    }

    public void setBug(Quality bug) {
        this.bug = bug;
    }

    public Quality getVulnerability() {
        return vulnerability;
    }

    public void setVulnerability(Quality vulnerability) {
        this.vulnerability = vulnerability;
    }

    public Quality getCodeSmall() {
        return codeSmall;
    }

    public void setCodeSmall(Quality codeSmall) {
        this.codeSmall = codeSmall;
    }

    public String getComplexity() {
        return complexity;
    }

    public void setComplexity(String complexity) {
        this.complexity = complexity;
    }

    public Integer getTotalRowNumber() {
        return totalRowNumber;
    }

    public void setTotalRowNumber(Integer totalRowNumber) {
        this.totalRowNumber = totalRowNumber;
    }

    public BigDecimal getQualityScore() {
        return qualityScore;
    }

    public void setQualityScore(BigDecimal qualityScore) {
        this.qualityScore = qualityScore;
    }

    public String getTaskDetailId() {
        return taskDetailId;
    }

    public void setTaskDetailId(String taskDetailId) {
        this.taskDetailId = taskDetailId;
    }
}
